Bug 190315 - Review Request: perl-Email-MIME - Easy MIME message parsing
Review Request: perl-Email-MIME - Easy MIME message parsing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 190316
  Show dependency treegraph
 
Reported: 2006-04-30 21:04 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 08:15:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-30 21:04:11 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-MIME-1.82-2.src.rpm

Description:
This is an extension of the Email::Simple module, to handle MIME
encoded messages. It takes a message as a string, splits it up
into its constituent parts, and allows you access to various
parts of the message. Headers are decoded from MIME encoding.
Comment 1 Jason Tibbitts 2006-05-01 19:37:41 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   fe917f83f7ff5f6425e388857a7400eb  Email-MIME-1.82.tar.gz
   fe917f83f7ff5f6425e388857a7400eb  Email-MIME-1.82.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=20,  0 wallclock secs ( 0.13 cusr +  0.05 csys =  0.18 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-05-04 08:15:06 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.